<template>
     <div>

        <v-list-item
            :key="index"
            :value ="item"
            link
            dense
            class="pa-1"
            :to="item.link"
            @click="selectMenu(item)"
            v-if="item.status !== 0"
           >
              <v-list-item-icon>
                <v-icon class="sidebar-icon">{{ item.icon }}</v-icon>
              </v-list-item-icon>

              <v-list-item-content class="ml-n5">
                <v-list-item-title>{{ item.title }}</v-list-item-title>
              </v-list-item-content>
              <v-list-item-action>
            </v-list-item-action>
        </v-list-item>
        <v-list-group
          sub-group
          no-action
          :value="false"
          :prepend-icon="`${item.icon}`"
          v-if="item.status === 0"
          dense
          class="sidebar-icon sidebar-dropdown"
           @click="selectMenu(item)"
         >

          <template v-slot:activator>
            <v-list-item-content class="ml-n2">
              <v-list-item-title class="settings-title">{{ item.title }}</v-list-item-title>
            </v-list-item-content>
          </template>

          <div  v-for="(subMenu, k) in subMenus" :key="k">
            <v-list-item  :to="`${subMenu.link}`" class="completed"  @click="selectMenu(subMenu)">
              <v-list-item-title class="settings-title" >{{ subMenu.title}}  </v-list-item-title>
            </v-list-item>
          </div>
        </v-list-group>
    </div>
</template>

<script>
// import coreMxn from '@/mixins/core_mixin';
import { mapGetters, mapMutations } from 'vuex';

export default {
  name: 'NavigationLinks',
  // mixins: [coreMxn],
  props: ['item', 'index'],
  data() {
    return {
    };
  },
  computed: {
    // ...mapGetters(['getSession']),

    subMenus() {
      return [
        { title: 'Staff', link: '/access-control/staff', parent: 'Access Control', permission: 'staff.index' },
        { title: 'Roles', link: '/access-control/roles', parent: 'Access Control', permission: 'roles.index' },
        { title: 'Permissions', link: '/access-control/permissions', parent: 'Access Control', permission: 'permissions.index' },

      ];
    },
  },
  methods: {
    ...mapMutations(['setSelectedMenu']),

    selectMenu(item) {
      const form = {
        duration: 'all',
        pay_direction: 'all',
        psp: 'all',
        entity_id: 'all',
        pay_mode: 'all',
        currency: 'all',
        bulk: 'all',
        status: 'all',
        pay_method: 'all',
      };
      localStorage.setItem('filters', JSON.stringify(form));
      localStorage.removeItem('currentPage');
      this.setSelectedMenu(item);
      // this.setFilters({});
      // this.setSelectedFilters([]);
      // this.setSearchedStatus(false);
    },
  },
};
</script>
<style scoped>
.settings-title {
    font-size: 0.8125rem;
    font-weight: 500;
    line-height: 1rem;
}

</style>
